QGIS Application - Bug report #14197

Export to shapefile from DXF throws an error: Attempt to write a non-point (MULTIPOINT) geometry
to point shapefile

2016-01-29 07:34 AM - Salvatore Larosa

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Vectors

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 22199
Description

Export to shapefile from DXF (Point) generates the following error:

Feature creation error (OGR error: Attempt to write non-point (MULTIPOINT) geometry to point shapefile.)

Sample data attached.

History

#1 - 2016-01-29 09:13 AM - Salvatore Larosa

- Subject changed from Export to shapefile from DXF throws an error: Attempt to write a non-point (MULTIPOINT) geometry to point sapefile to Export to

shapefile from DXF throws an error: Attempt to write a non-point (MULTIPOINT) geometry to point shapefile

#2 - 2016-01-29 10:05 AM - Salvatore Larosa

selecting the geometry type (Point) and checking "Force multi-type" or setting MULTIPOINT in Layer options does work as expected.

Could be something related to commit:ffebfd9

#3 - 2016-06-22 02:28 AM - Jiirgen Fischer
- Status changed from Open to Feedback

Works fine in master - with setting geometry type "automatic" and "Point" and w/ or w/o force multitype. But the DXF layer doesn't have any multipoints
here (using GDAL 2.1).

#4 - 2016-06-30 04:50 AM - Andreas Neumann

| just tested this in the latest 2.14 nightly release and in QGIS master (both on Windows) and it works fine. commit:843d17e

Salvatore: can we close this bug? Can you please test?

#5 - 2016-06-30 10:58 AM - Salvatore Larosa
- Status changed from Feedback to Closed
yes,fixed,thanks

Files

QU_extract.dxf 286 KB 2016-01-29 Salvatore Larosa
